'\" t
.\"     Title: babeltrace2-query-babeltrace.trace-infos
.\"    Author: [see the "AUTHORS" section]
.\" Generator: DocBook XSL Stylesheets v1.79.1 <http://docbook.sf.net/>
.\"      Date: 14 September 2019
.\"    Manual: Babeltrace\ \&2 manual
.\"    Source: Babeltrace 2.0.4
.\"  Language: English
.\"
.TH "BABELTRACE2\-QUERY\-" "7" "14 September 2019" "Babeltrace 2\&.0\&.4" "Babeltrace\ \&2 manual"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
babeltrace2-query-babeltrace.trace-infos \- Babeltrace 2\*(Aqs trace infos query object
.SH "DESCRIPTION"
.sp
The \fBbabeltrace.trace-infos\fR Babeltrace\ \&2 query object indicates time range information about specific traces and their streams, and which output ports of an eventual source component will serve the messages for a given stream\&.
.sp
The \fBbabeltrace2-convert\fR(1) command queries this object from all the source component classes to support the \fB--stream-intersection\fR feature\&.
.SH "PARAMETERS"
.sp
The parameters for this query operation are exactly the same as you would pass as the initialization parameters of a component created from the queried component class\&.
.SH "RESULT OBJECT"
.sp
The result object is an array of trace info maps (see \(lqTrace info map\(rq)\&.
.SS "Trace info map"
.sp
A trace info map contains:
.PP
\fBstream-infos\fR=\fISTREAM\-INFOS\fR [array of stream info maps]
.RS 4
Stream info maps (see
\(lqStream info map\(rq) for this trace\&.
.RE
.SS "Stream info map"
.sp
A stream info map contains:
.PP
\fBrange-ns\fR=\fIRANGE\fR [range map]
.RS 4
The time range of this stream, a map containing:
.PP
\fBbegin\fR=\fINS\fR [signed integer]
.RS 4
Beginning time of this stream (nanoseconds since the stream class\(cqs default clock class\(cqs origin)\&.
.RE
.PP
\fBend\fR=\fINS\fR [signed integer]
.RS 4
End time of this stream (nanoseconds since the stream class\(cqs default clock class\(cqs origin)\&.
.RE
.RE
.PP
\fBport-name\fR=\fIPORT\-NAME\fR [string]
.RS 4
For an eventual source component initialized with the same parameters: name of the output port which serves the messages of this stream\&.
.RE
.SH "EXAMPLES"
.SS "Result object"
.PP
\fBExample\ \&1.\ \&Two trace infos: one with three stream infos, one with two stream infos\&.\fR
.sp
.if n \{\
.RS 4
.\}
.nf
\- stream\-infos:
  \- range\-ns:
      begin: 1509556764975082000
      end: 1509557102181554400
    port\-name: trace0\-cpu0
  \- range\-ns:
      begin: 1509556764947050800
      end: 1509557102182771000
    port\-name: trace0\-cpu1
  \- range\-ns:
      begin: 1509556764956409300
      end: 1509557102182770400
    port\-name: trace0\-cpu2
\- stream\-infos:
  \- range\-ns:
      begin: 1509556764918082000
      end: 1509557103849928400
    port\-name: trace1\-cpu0
  \- range\-ns:
      begin: 1509556761888820000
      end: 1509557109928100400
    port\-name: trace1\-cpu1
.fi
.if n \{\
.RE
.\}
.SH "BUGS"
.sp
If you encounter any issue or usability problem, please report it on the Babeltrace bug tracker (see <https://bugs.lttng.org/projects/babeltrace>)\&.
.SH "RESOURCES"
.sp
The Babeltrace project shares some communication channels with the LTTng project (see <https://lttng.org/>)\&.
.sp
.RS 4
.ie n \{\
\h'-04'\(bu\h'+03'\c
.\}
.el \{\
.sp -1
.IP \(bu 2.3
.\}
Babeltrace website (see <https://babeltrace.org/>)
.RE
.sp
.RS 4
.ie n \{\
\h'-04'\(bu\h'+03'\c
.\}
.el \{\
.sp -1
.IP \(bu 2.3
.\}
Mailing list (see <https://lists.lttng.org>)
for support and development:
\fBlttng-dev@lists.lttng.org\fR
.RE
.sp
.RS 4
.ie n \{\
\h'-04'\(bu\h'+03'\c
.\}
.el \{\
.sp -1
.IP \(bu 2.3
.\}
IRC channel (see <irc://irc.oftc.net/lttng>):
\fB#lttng\fR
on
\fBirc.oftc.net\fR
.RE
.sp
.RS 4
.ie n \{\
\h'-04'\(bu\h'+03'\c
.\}
.el \{\
.sp -1
.IP \(bu 2.3
.\}
Bug tracker (see <https://bugs.lttng.org/projects/babeltrace>)
.RE
.sp
.RS 4
.ie n \{\
\h'-04'\(bu\h'+03'\c
.\}
.el \{\
.sp -1
.IP \(bu 2.3
.\}
Git repository (see <https://git.efficios.com/?p=babeltrace.git>)
.RE
.sp
.RS 4
.ie n \{\
\h'-04'\(bu\h'+03'\c
.\}
.el \{\
.sp -1
.IP \(bu 2.3
.\}
GitHub project (see <https://github.com/efficios/babeltrace>)
.RE
.sp
.RS 4
.ie n \{\
\h'-04'\(bu\h'+03'\c
.\}
.el \{\
.sp -1
.IP \(bu 2.3
.\}
Continuous integration (see <https://ci.lttng.org/view/Babeltrace/>)
.RE
.sp
.RS 4
.ie n \{\
\h'-04'\(bu\h'+03'\c
.\}
.el \{\
.sp -1
.IP \(bu 2.3
.\}
Code review (see <https://review.lttng.org/q/project:babeltrace>)
.RE
.SH "AUTHORS"
.sp
The Babeltrace\ \&2 project is the result of hard work by many regular developers and occasional contributors\&.
.sp
The current project maintainer is J\('er\('emie Galarneau <mailto:jeremie.galarneau@efficios.com>\&.
.SH "COPYRIGHT"
.sp
This query object is part of the Babeltrace\ \&2 project\&.
.sp
Babeltrace is distributed under the MIT license (see <https://opensource.org/licenses/MIT>)\&.
.SH "SEE ALSO"
.sp
\fBbabeltrace2-intro\fR(7), \fBbabeltrace2-query\fR(1), \fBbabeltrace2-convert\fR(1)
